Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.authoring
Interface EditorBean

    public interface EditorBean

Properties of a Rich Text Editor in the WCM Authoring UI.

Since:
  5.1

Nested Class Summary
`static class` | `EditorBean.ResourceSelectionModel` Default resource selection options

Method Summary
`java.lang.String` | `getConfiguration()` Specifies the path to the configuration servlet needed for integration with custom and advanced editors
`DigitalAsset.ResourceManagementOption` | `getDefaultResourceManagementOption()` For a DigitalAssets, indicates the default management , inticates the default managemntOption
`EditorBean.ResourceSelectionModel` | `getDefaultResourceSelectionModel()` For a DigitalAssets, indicates the default selectionmodel/chhoser to use to select an asset/image
`java.lang.String` | `getDirection()` Returns the default text direction of this editor control.
`java.lang.String` | `getHeight()` Returns the pixel height of this editor.
`java.lang.String` | `getHiddenContentFieldName()` Returns the name of the hidden form field that will be used to accept editor content.
`java.lang.String` | `getName()`
`java.lang.String` | `getSelectedDigitalAssetChooserName()` For a DigitalAssets, indicates the DigitalAssetChooser to use to select an asset/image.
`java.lang.String` | `getSelectedEditor()` Specifies the selected editor to use
`java.lang.String` | `getStyleSheetURL()`
`java.lang.String` | `getWidth()` Returns the pixel width of this editor.
`boolean` | `isEditable()` Returns the editable status of this editor.
`boolean` | `isFormattingControlsHidden()` Indicates whether the formatting controls should be hidden from the user when the editor is rendered.
`boolean` | `isHTMLModeHidden()` Indicates whether the HTML mode should be hidden from the user when the editor is rendered.
`boolean` | `isLimitedToLibraryImagePicker()` Indicates whether the Image picker dialog will be limited to library images, and not allow users to upload their own images.

Method Detail

### isEditable

    boolean isEditable()

  Returns the editable status of this editor.

  Returns:
    Returns the editable status of this editor. Returns false if the editor should not be displayed in an editable configuration.

### getName

    java.lang.String getName()

  Returns:
    Returns the unique name of this editor.

### getHiddenContentFieldName

    java.lang.String getHiddenContentFieldName()

  Returns the name of the hidden form field that will be used to accept editor content. Editor content is transferred in this field when the save button is pressed.

  Returns:
    Name of hidden form field that will be used to accept editor content.

### getHeight

    java.lang.String getHeight()

  Returns the pixel height of this editor.

  Returns:
    The pixel height of this editor.

### getWidth

    java.lang.String getWidth()

  Returns the pixel width of this editor.

  Returns:
    The pixel width of this editor.

### getDirection

    java.lang.String getDirection()

  Returns the default text direction of this editor control. Returns either "ltr" or "rtl".

  Returns:
    The default text direction of this editor control.

### getStyleSheetURL

    java.lang.String getStyleSheetURL()

  Returns:
    Returns the style sheet URL of this editor control.

### isFormattingControlsHidden

    boolean isFormattingControlsHidden()

  Indicates whether the formatting controls should be hidden from the user when the editor is rendered.

  Returns:
    boolean `true` if the formatting controls should be hidden for the user. If the controls should be shown then `false` will be returned.

### isHTMLModeHidden

    boolean isHTMLModeHidden()

  Indicates whether the HTML mode should be hidden from the user when the editor is rendered.

  Returns:
    boolean `true` if the HTML mode should be hidden for the user.

### isLimitedToLibraryImagePicker

    boolean isLimitedToLibraryImagePicker()

  Indicates whether the Image picker dialog will be limited to library images, and not allow users to upload their own images.

  Returns:
    boolean `true` if the image picker should be limited to library images.

### getConfiguration

    java.lang.String getConfiguration()

  Specifies the path to the configuration servlet needed for integration with custom and advanced editors

  Returns:
    a path to the configuration servlet, or null if one is not defined.

### getSelectedEditor

    java.lang.String getSelectedEditor()

  Specifies the selected editor to use

  Returns:
    the name of the selected editor

### getDefaultResourceManagementOption

    DigitalAsset.ResourceManagementOption getDefaultResourceManagementOption()

  For a DigitalAssets, indicates the default management , inticates the default managemntOption

  Returns:
    ResourceManagementOption

### getDefaultResourceSelectionModel

    EditorBean.ResourceSelectionModel getDefaultResourceSelectionModel()

  For a DigitalAssets, indicates the default selectionmodel/chhoser to use to select an asset/image

  Returns:
    ResourceSelectionModel

### getSelectedDigitalAssetChooserName

    java.lang.String getSelectedDigitalAssetChooserName()

  For a DigitalAssets, indicates the DigitalAssetChooser to use to select an asset/image. This is only used when ResourceManagementOption = DigitslAssetManager

  Returns:
    Name of the chooser that will beused

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD